Bug 820478 - [ta_IN] Without autohinting tamil strings rendering is badly broken.
[ta_IN] Without autohinting tamil strings rendering is badly broken.
Product: Fedora
Classification: Fedora
Component: lohit-tamil-fonts (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
RejectedBlocker, AcceptedNTH
: i18n, Regression
Depends On:
Blocks: F17-accepted/F17FinalFreezeExcept
  Show dependency treegraph
Reported: 2012-05-10 02:05 EDT by Pravin Satpute
Modified: 2012-05-21 15:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-21 15:08:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screeshot showing bad rasterization (72.08 KB, image/png)
2012-05-10 03:48 EDT, Pravin Satpute
no flags Details
This is rendering without autohinting, presently it appears like this. (72.05 KB, image/png)
2012-05-17 02:08 EDT, Pravin Satpute
no flags Details
Rendering after enabling autohinting. (70.13 KB, image/png)
2012-05-17 02:11 EDT, Pravin Satpute
no flags Details

  None (edit)
Description Pravin Satpute 2012-05-10 02:05:26 EDT
Description of problem:
rasterization is not very good.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. see any tamil text.
Actual results:
rastarization is very bad.

Expected results:
it should be smooth

Additional info:
Comment 1 Pravin Satpute 2012-05-10 03:48:13 EDT
Created attachment 583467 [details]
screeshot showing bad rasterization
Comment 2 Fedora Update System 2012-05-10 04:48:09 EDT
lohit-tamil-fonts-2.5.0-3.fc17 has been submitted as an update for Fedora 17.
Comment 3 Pravin Satpute 2012-05-17 02:08:17 EDT
Created attachment 585108 [details]
This is rendering without autohinting, presently it appears like this.
Comment 4 Pravin Satpute 2012-05-17 02:11:30 EDT
Created attachment 585109 [details]
Rendering after enabling autohinting.
Comment 5 Adam Williamson 2012-05-17 02:18:45 EDT
how terrible is the broken case exactly, to a native reader? it's pretty hard to judge if you don't read tamil at all. :) Is it so bad it'd be difficult or annoying to read, or just a bit fuzzy? If the latter, I'm inclined to say not a blocker, fix it with an update.

Fedora Bugzappers volunteer triage team
Comment 6 Pravin Satpute 2012-05-17 02:32:13 EDT
Its annoying to read. 
Please observe the invariable width of character outline in #3 and #4

    Lohit Tamil is default font for Tamil language. If we release Fedora 17 without
    this fix.

    - Tamil users while browsing website if find some tamil string it will be
    rendered not smooth and it will create bad image to Fedora.
    - Even if users select Tamil localize desktop language. Then also the rendering
    will be not good.

    This fix was available in Fedora 16 but missed patch from lohit-tamil 2.4.5 to 2.5.0 upstream release migration.
Comment 7 Adam Williamson 2012-05-17 03:02:38 EDT
I understand the basic impact, I'm just trying to get a feel for how terrible it is. Bear in mind we're very, very, very, very, very late in the F17 cycle at this point. It's a hell of a lot easier to take fixes like this a month ago, or even a week ago.

Fedora Bugzappers volunteer triage team
Comment 8 Pravin Satpute 2012-05-17 03:13:06 EDT
Yes agree, apologies from my side for being so late. Dunno can we consider it is fixed and got stable karma in bodhi.
Comment 9 A S Alam 2012-05-17 05:02:35 EDT
I think if there is Junk character, only then should be blocker, but this case anyone can _read_ characters and can be fixed with update. This case I can say it is not broken, but enhancement.
Comment 10 Pravin Satpute 2012-05-17 05:06:00 EDT
Thanks aman for your comments. 
I think we can mark this as a non-blocker considering impact and proposed too late for blocker.
Comment 11 Kamil Páral 2012-05-17 08:30:51 EDT
I am tempted to have this +1 NTH, if it influences DVD install. LiveCDs are in English, but it's possible to switch languages on DVD. The fix is already built and verified and it should have no impact on other parts of the system. Also the initial impression after installation would be better to Tamil readers.

Ideally I'd vote +1 NTH if we slip (therefore we have additional days/a week for verification), or -1 otherwise. But it's hard to know in advance whether we will slip.
Comment 12 Tim Flink 2012-05-17 14:59:33 EDT
Discussed at the 2012-05-17 Fedora 17 final go/no-go meeting. This doesn't directly hit any of the Fedora 17 release criteria but it does impact readability and user experience for installations in Tamil. The fix is built and tested, will accept if more composes are done.
Comment 13 Fedora Update System 2012-05-21 15:08:45 EDT
lohit-tamil-fonts-2.5.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.